Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class P2PResponse

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.MessageAgent
                  |
                  +--com.jxml.qare.qhome.P2PResponse

All Implemented Interfaces:
  Item

public abstract class P2PResponse
extends MessageAgent

This is the base class for all P2P response messages

Fields inherited from class com.jxml.qare.qhome.MessageAgent
`inbox, orginatingSession, sourceESDO`

Constructor Summary
`P2PResponse()`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` P2P response messages are not displayed in inbox.
`String` | `getAction()` This method specifies the action defined by all P2P response messages.
`abstract QSchemaFactory` | `getFactory()` This method is overidden by the various application classes for P2P responses.
`void` | `process(DBSession.Row qSession)` Invoked when a response arrives at a system.
`abstract void` | `processResponse(DBSession.Row qSession)` This method is overidden by the various application classes for P2P responses.

Methods inherited from class com.jxml.qare.qhome.MessageAgent
`lastSend, lastSend, process, send, send, send, send, send, send, send, signed, timeout`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P2PResponse

    public P2PResponse()

Method Detail

### getFactory

    public abstract QSchemaFactory getFactory()

  This method is overidden by the various application classes for P2P responses. The schema factory returned by this method is used to process the persistant form of the application's p2p response messages.
  Overrides:
    `getFactory` in class `SDO`

### processResponse

    public abstract void processResponse(DBSession.Row qSession)
                                  throws Exception

  This method is overidden by the various application classes for P2P responses. This method is invoked when a p2p response returns to the systemm where the request originated.

### getAction

    public final String getAction()

  This method specifies the action defined by all P2P response messages.
  Overrides:
    `getAction` in class `SDO`

### eval

    public final void eval(Map properties,
                           List args,
                           ClassLoader cl)
                    throws Exception

  P2P response messages are not displayed in inbox.
  Overrides:
    `eval` in class `SDO`

### process

    public final void process(DBSession.Row qSession)
                       throws Exception

  Invoked when a response arrives at a system.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD